/******************************************************************************/
/* Williams Advanced Engineering Limited                     Copyright(C) 2021*/
/* Grove                                                  All rights reserved */
/*                                                                            */
/******************************************************************************/


#ifndef MAINSOURCES_INCLUDE_IOS_RESET_H_
#define MAINSOURCES_INCLUDE_IOS_RESET_H_

#include "hal_stdtypes.h"
#include "reg_system.h"

/*------------------------------------------------------------*/
/*          Functions prototypes definition                   */
/*------------------------------------------------------------*/
/* Public */

extern void fnIosSetResetRequest(void);
extern boolean fnIosGetResetRequest(void);
extern void fnIosResetRequestMngr(void);

/* Private */
void fnIosResetResetRequest(void);
void fnIosResetMcu(void);

#endif /* MAINSOURCES_INCLUDE_IOS_RESET_H_ */
